Skip to main content

Network / Brand

Signal Transactions Rollup

If you’re upgrading from API versions older than 2020-10-01 we suggest testing to familiarize yourself with the updated Signal data structure.For more information, view the support documentation for best practices in accessing Invoca Call Data via the Transactions API.

URL

The API follows REST conventions. Perform an HTTPS GET to the URL with the format in which you’d like to receive data. The following response formats are supported, where 33 is the network id. Endpoint: https://invoca.net/api/@@TRANSACTION_API_VERSION/networks/transactions/<network_id>.<format>

Authentication

The API uses OAuth to validate access. Pass the OAuth Token in the Authorization header of the request. The OAuth Token is required. OAuth Tokens may be generated from the Manage API Credentials page.

Query Parameters

The API takes the following optional query parameters: In order to ensure that all transactions are returned when using the from= and to= date query parameters, you should store the last transaction id you have downloaded and pass it as the start_after_transaction_id to the next request so long as you do not change the date range. Once you update the date range, the best practice is to omit the start_after_transaction_id param for the first request, then use the last transaction id you have downloaded until the date range is complete. This is because using from and to params sorts transactions in relation to the call start time, not the transaction time. Typical usage on the polling interval is to repeatedly call the API until no rows are returned, meaning you have downloaded all transactions. Please note, the “to” and “from” date range parameters are both necessary, providing only one or the other will not filter the results. We provide three helpful constants that can be used in the include_columns and exclude_columns options:
  • $invoca_custom_columns — a dynamic constant that represents the current list of your Marketing Data Fields. Note: If the list of custom columns changes, those changes will be included in future API calls that use “include_columns=$invoca_custom_columns”, independent of the API version. See Marketing Data Parameters section for more details.
  • $invoca_custom_source_columns — a dynamic constant that represents the sources for the current list of your Marketing Data Fields. Note: If the list of custom columns changes, those changes will be included in future API calls that use “include_columns=$invoca_custom_source_columns”, independent of the API version. See Marketing Data Parameters section for more details.
  • $invoca_default_columns — represents the default set of columns provided by the Transactions API for your requested version.

Response

General Parameters

RingPool Parameters

AdWords Parameters

Conversion Reporting Parameters

Marketing Data & Signal Parameters

Please visit the marketing data parameters page to access the marketing data parameters specific to your account. The Partner (API) Name is used as the field name returned by the Transactions API. Any Marketing Data or Signal fields named the same as a standard Invoca Transactions API field will be returned by the API rather than the standard field. If any field names have spaces in their name, XML format will not be supported. Marketing Data & Signal can be accessed in two ways by Transactions API
  1. (JSON & XML formats only) By including custom_data as field in the include_columns parameter (e.g. include_columns=transaction_id,start_time_local,custom_data) a nested structure is returned containing all of the Marketing Data and Signals that were specified for the given transaction. Note: null values are not returned.
Array of Marketing Data Objects Example response:
  1. (All formats) Marketing Data and Signal fields can be accessed in the response by specifying the special $invoca_custom_columns constant in your include_columns parameter, or mentioning specific fields that you want to include, e.g. include_columns=transaction_id,start_time_local,utm_medium,gclid,Quote,Purchase%20Made.
Example response:
To also get the source of each Marketing Data & Signal field, specify the special $invoca_custom_source_columns constant in your include_columns parameter. Doing that would result in an additional “.source” field for every Marketing Data & Signal field:
To get the complete Signal view for a given call you can utilize the complete_call_id field as the primary ID. For every transaction (regardless of transaction_type), update your complete call row as follows:
  • add any true Signals
  • remove any false Signals
  • ignore any null Signals (a null value for a Signal means the Signal was not applicable to that transaction but may have already been evaluated as true for the given call on any previous or subsequent transactions)

Signal Parameters

Most of the fields in this table are now deprecated. See Marketing Data & Signal Parameters section for best practices for accessing Signal name, source and value. Additionally, some fields will be removed if the Signal Transactions Rollup feature is enabled.

Enhanced Caller Profile Parameters

Additional Feature Parameters

Examples

These examples use CURL, and are using the following fake OAuth API token: YbcFH Note: the -k option asks curl to not bother checking the SSL certificate authority chain as that requires extra configuration. Example 1: Get the next 20 transactions that occurred after transaction id C624DA2C-CF3367C3:
Example 2: Get 50 rows from a specific time period with only the transaction_id and all Marketing Data columns:
Example 3: Get 50 rows that exclude a few columns such as Caller ID and Call Recordings:
Example 4: Get All Transactions from a specific time period that are of transaction_type Signal:
Example 5: Get All Transactions from a specific time period that are of transaction_type Post Call Event:
Example 6: Get All Transactions from a specific time period that are of transaction_type Call and Signal:
Last modified on August 18, 2026